Oore CI
ReferenceAPIOperationsPipeline Signing

Update Android signing config

Upload keystores and configure debug/release signing profiles.

Operation IDupdate_pipeline_android_signing
PUT
/v1/pipelines/{pipeline_id}/android-signing

Upload keystores and configure debug/release signing profiles.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

pipeline_id*string

Pipeline ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/pipelines/string/android-signing" \  -H "Content-Type: application/json" \  -d '{}'
{  "debug": {    "build_type": "debug",    "enabled": true,    "has_key_password": true,    "has_keystore": true,    "has_store_password": true,    "key_alias": "string",    "keystore_checksum": "string",    "keystore_filename": "string",    "updated_at": 0  },  "pipeline_id": "string",  "release": {    "build_type": "debug",    "enabled": true,    "has_key_password": true,    "has_keystore": true,    "has_store_password": true,    "key_alias": "string",    "keystore_checksum": "string",    "keystore_filename": "string",    "updated_at": 0  }}